=== added file 'bzrlib/doc_generate/builders/__init__.py'
--- bzrlib/doc_generate/builders/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/doc_generate/builders/__init__.py	2010-04-29 15:41:20 +0000
@@ -0,0 +1,1 @@
+

=== modified file 'bzrlib/doc_generate/sphinx_conf.py'
--- bzrlib/doc_generate/sphinx_conf.py	2010-04-28 16:52:07 +0000
+++ bzrlib/doc_generate/sphinx_conf.py	2010-04-29 15:41:20 +0000
@@ -8,6 +8,9 @@
 
 import sys, os
 
+# FIXME: better move the content of doc/en/conf.py here and cleanup the result
+# -- vila 20100428
+
 # If extensions (or modules to document with autodoc) are in another directory,
 # add these directories to sys.path here. If the directory is relative to the
 # documentation root, use os.path.abspath to make it absolute, like shown here.
@@ -18,7 +21,8 @@
 
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.ifconfig']
+extensions = ['sphinx.ext.ifconfig',
+              'bzrlib.doc_generate.builders.texinfo']
 
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']

=== added file 'bzrlib/doc_generate/writers/__init__.py'
--- bzrlib/doc_generate/writers/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/doc_generate/writers/__init__.py	2010-04-29 15:41:20 +0000
@@ -0,0 +1,1 @@
+

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2010-04-23 16:22:41 +0000
+++ bzrlib/tests/__init__.py	2010-04-29 15:41:20 +0000
@@ -3632,6 +3632,7 @@
         'bzrlib.doc',
         'bzrlib.tests.blackbox',
         'bzrlib.tests.commands',
+        'bzrlib.tests.doc_generate',
         'bzrlib.tests.per_branch',
         'bzrlib.tests.per_bzrdir',
         'bzrlib.tests.per_bzrdir_colo',

=== added directory 'bzrlib/tests/doc_generate'
=== added file 'bzrlib/tests/doc_generate/__init__.py'
--- bzrlib/tests/doc_generate/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/tests/doc_generate/__init__.py	2010-04-29 15:41:20 +0000
@@ -0,0 +1,32 @@
+# Copyright (C) 2010 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+
+"""Documentation generation tests."""
+
+def load_tests(basic_tests, module, loader):
+    suite = loader.suiteClass()
+    # add the tests for this module
+    suite.addTests(basic_tests)
+
+    testmod_names = [
+        'builders',
+        ]
+    # add the tests for the sub modules
+    suite.addTests(loader.loadTestsFromModuleNames(
+            ['bzrlib.tests.doc_generate.' + name
+             for name in testmod_names]))
+
+    return suite

=== added directory 'bzrlib/tests/doc_generate/builders'
=== added file 'bzrlib/tests/doc_generate/builders/__init__.py'
--- bzrlib/tests/doc_generate/builders/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/tests/doc_generate/builders/__init__.py	2010-04-29 15:41:20 +0000
@@ -0,0 +1,33 @@
+# Copyright (C) 2010 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+
+
+"""Sphinx builders tests."""
+
+def load_tests(basic_tests, module, loader):
+    suite = loader.suiteClass()
+    # add the tests for this module
+    suite.addTests(basic_tests)
+
+    testmod_names = [
+        'texinfo',
+        ]
+    # add the tests for the sub modules
+    suite.addTests(loader.loadTestsFromModuleNames(
+            ['bzrlib.tests.doc_generate.builders.test_' + name
+             for name in testmod_names]))
+
+    return suite

=== added file 'bzrlib/tests/doc_generate/builders/test_texinfo.py'
--- bzrlib/tests/doc_generate/builders/test_texinfo.py	1970-01-01 00:00:00 +0000
+++ bzrlib/tests/doc_generate/builders/test_texinfo.py	2010-04-29 15:41:20 +0000
@@ -0,0 +1,31 @@
+# Copyright (C) 2010 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+
+"""sphinx texinfo builder tests."""
+
+from bzrlib import tests
+from bzrlib.doc_generate import (
+    # FIXME: doc/en/conf.py should be used here, or rather merged into
+    # sphinx_conf and the later be renamed conf -- vila 20100429
+    sphinx_conf,
+    )
+
+
+class TestBuilderLoaded(tests.TestCase):
+
+    def test_builder_loaded(self):
+        self.assertTrue('bzrlib.doc_generate.builders.texinfo'
+                        in sphinx_conf.extensions)

=== modified file 'doc/en/conf.py'
--- doc/en/conf.py	2010-04-28 17:11:50 +0000
+++ doc/en/conf.py	2010-04-29 15:41:20 +0000
@@ -13,14 +13,8 @@
 sys.path = [os.path.abspath('../..')] + sys.path
 
 # Most of the configuration for Bazaar docs is defined here ...
-
-# FIXME: better move the content of sphinx_conf here and cleanup the result
-# -- vila 20100428
 from bzrlib.doc_generate.sphinx_conf import *
 
-# Add the texinfo builder extension
-extensions.append('bzrlib.doc_generate.builders.texinfo')
-
 ## Configuration specific to this site ##
 
 # The locale code for this documentation set

